diff --git a/node_modules/typedoc-plugin-pages/dist/plugin/rendering/navigation-renderer.js b/node_modules/typedoc-plugin-pages/dist/plugin/rendering/navigation-renderer.js
index afb2a52..611c770 100644
--- a/node_modules/typedoc-plugin-pages/dist/plugin/rendering/navigation-renderer.js
+++ b/node_modules/typedoc-plugin-pages/dist/plugin/rendering/navigation-renderer.js
@@ -110,7 +110,8 @@ class NavigationRenderer {
     _removeGlobalsNavigationItem(event) {
         if (this._options.replaceGlobalsPage) {
             for (let i = 0; i < event.navigation.children.length; i++) {
-                if (event.navigation.children[i].isGlobals) {
+                let children = event.navigation.children[i];
+				if (children.isGlobals || children.isModules) {
                     event.navigation.children.splice(i, 1);
                 }
             }
diff --git a/node_modules/typedoc-plugin-pages/dist/plugin/rendering/page-renderer.js b/node_modules/typedoc-plugin-pages/dist/plugin/rendering/page-renderer.js
index c8d7d54..e7b5115 100644
--- a/node_modules/typedoc-plugin-pages/dist/plugin/rendering/page-renderer.js
+++ b/node_modules/typedoc-plugin-pages/dist/plugin/rendering/page-renderer.js
@@ -53,7 +53,7 @@ class PageRenderer {
         ];
     }
     _getGlobalsUrlMapping(event) {
-        return event.urls.filter((mapping) => mapping.url === "globals.html")[0];
+        return event.urls.filter((mapping) => mapping.url === "globals.html" || mapping.url==="modules.html")[0];
     }
     /**
      * Gets an existing UrlMapping to use as a template when building the plugin mappings
diff --git a/node_modules/typedoc-plugin-pages/dist/theme/v2/layouts/default.hbs b/node_modules/typedoc-plugin-pages/dist/theme/v2/layouts/default.hbs
index 603db70..1214325 100644
--- a/node_modules/typedoc-plugin-pages/dist/theme/v2/layouts/default.hbs
+++ b/node_modules/typedoc-plugin-pages/dist/theme/v2/layouts/default.hbs
@@ -9,6 +9,15 @@
 
     <link rel="stylesheet" href="{{relativeURL "assets/css/main.css"}}">
 	<link rel="stylesheet" href="{{relativeURL "assets/css/pages.css"}}">
+
+	<script>
+		(function (w,d,s,o,f,js,fjs) {
+			w['Otechie-Widget']=o;w[o] = w[o] || function () { (w[o].q = w[o].q || []).push(arguments) };
+			js = d.createElement(s), fjs = d.getElementsByTagName(s)[0];
+			js.id = o; js.src = f; js.async = 1; fjs.parentNode.insertBefore(js, fjs);
+		}(window, document, 'script', 'ow', 'https://widget.otechie.com/widget.js'));
+		ow('init', { username: 'smashah' });
+	</script>
 </head>
 <body>
 
diff --git a/node_modules/typedoc-plugin-pages/dist/theme/v2/partials/type.hbs b/node_modules/typedoc-plugin-pages/dist/theme/v2/partials/type.hbs
index 0943134..1e19959 100644
--- a/node_modules/typedoc-plugin-pages/dist/theme/v2/partials/type.hbs
+++ b/node_modules/typedoc-plugin-pages/dist/theme/v2/partials/type.hbs
@@ -73,9 +73,61 @@ if an inner type may result in invalid output without them. For example:
     <span class="tsd-signature-type">{{name}}</span>
 {{/inline}}
 
+{{#*inline 'literal'}}
+    <span class="tsd-signature-type">{{stringify value}}</span>
+{{/inline}}
+
+{{#*inline 'mapped'}}
+    <span class="tsd-signature-symbol">{</span>
+    {{#ifCond readonlyModifier '===' '+'}}
+        <span class="tsd-signature-symbol">readonly </span>
+    {{else}}
+        {{#ifCond readonlyModifier '===' '-'}}
+            <span class="tsd-signature-symbol">-readonly </span>
+        {{/ifCond}}
+    {{/ifCond}}
+
+    <span class="tsd-signature-symbol">[ </span>
+    <span class="tsd-signature-type">{{parameter}}</span>
+    <span class="tsd-signature-symbol"> in </span>
+
+    {{#with parameterType}}
+        {{>type}}
+    {{/with}}
+
+    {{#with nameType}}
+        <span class="tsd-signature-symbol"> as </span>
+        {{>type}}
+    {{/with}}
+
+    <span class="tsd-signature-symbol">]</span>
+    {{#ifCond readonlyModifier '===' '+'}}
+        <span class="tsd-signature-symbol">?: </span>
+    {{else}}
+        {{#ifCond readonlyModifier '===' '-'}}
+            <span class="tsd-signature-symbol">-?: </span>
+        {{else}}
+            <span class="tsd-signature-symbol">: </span>
+        {{/ifCond}}
+    {{/ifCond}}
+
+    {{#with templateType}}
+        {{>type}}
+    {{/with}}
+
+    <span class="tsd-signature-symbol"> }</span>
+{{/inline}}
+
+{{#*inline 'optional'}}
+    {{#with elementType}}
+        {{> type}}
+    {{/with}}
+    <span class="tsd-signature-symbol">?</span>
+{{/inline}}
+
 {{#*inline 'predicate'}}
     {{#if asserts}}
-        <span class="tsd-signature-symbol">asserts</span>
+        <span class="tsd-signature-symbol">asserts </span>
     {{/if}}
     <span class="tsd-signature-type">{{name}}</span>
     {{#if targetType}}
@@ -94,13 +146,13 @@ if an inner type may result in invalid output without them. For example:
 {{/inline}}
 
 {{#*inline 'reference'}}
-    {{#if reflection}}
-        <a href="{{relativeURL reflection.url}}" class="tsd-signature-type">
-            {{reflection.name}}
+    {{#with getReflection }}
+        <a href="{{relativeURL url}}" class="tsd-signature-type" data-tsd-kind="{{kindString}}">
+            {{name}}
         </a>
     {{else}}
         <span class="tsd-signature-type">{{name}}</span>
-    {{/if}}
+    {{/with}}
     {{#if typeArguments}}
         <span class="tsd-signature-symbol">&lt;</span>
         {{#each typeArguments}}
@@ -120,17 +172,56 @@ if an inner type may result in invalid output without them. For example:
             {{#unless @first}}
                 <span class="tsd-signature-symbol">; </span>
             {{/unless}}
-            {{name}}
-            {{#if flags.isOptional }}
-                <span class="tsd-signature-symbol">?: </span>
+
+            {{#if getSignature}}
+                {{#if setSignature}}
+                    {{name}}
+                    <span class="tsd-signature-symbol">: </span>
+                    {{#with getSignature.type}}
+                        {{> type}}
+                    {{else}}
+                        <span class="tsd-signature-type">any</span>
+                    {{/with}}
+                {{else}}
+                    <span class="tsd-signature-symbol">get </span>
+                    {{name}}
+                    <span class="tsd-signature-symbol">(): </span>
+                    {{#with getSignature.type}}
+                        {{> type}}
+                    {{else}}
+                        <span class="tsd-signature-type">any</span>
+                    {{/with}}
+                {{/if}}
             {{else}}
-                <span class="tsd-signature-symbol">: </span>
+                {{#if setSignature}}
+                    <span class="tsd-signature-symbol">set </span>
+                    {{name}}
+                    <span class="tsd-signature-symbol">(</span>
+                    {{! Rather hacky to use each here... but we know there is exactly one. }}
+                    {{#each setSignature.parameters}}
+                        {{name}}
+                        <span class="tsd-signature-symbol">: </span>
+                        {{#with type}}
+                            {{> type}}
+                        {{else}}
+                            <span class="tsd-signature-type">any</span>
+                        {{/with}}
+                    {{/each}}
+                    <span class="tsd-signature-symbol">)</span>
+                {{else}}
+                    {{name}}
+                    {{#if flags.isOptional }}
+                        <span class="tsd-signature-symbol">?: </span>
+                    {{else}}
+                        <span class="tsd-signature-symbol">: </span>
+                    {{/if}}
+                    {{#with type}}
+                        {{> type}}
+                    {{else}}
+                        <span class="tsd-signature-type">any</span>
+                    {{/with}}
+                {{/if}}
             {{/if}}
-            {{#with type}}
-                {{> type}}
-            {{else}}
-                <span class="tsd-signature-type">any</span>
-            {{/with}}
         {{/each}}
         <span class="tsd-signature-symbol"> }</span>
     {{else if declaration.signatures}}
@@ -159,8 +250,11 @@ if an inner type may result in invalid output without them. For example:
     {{/if}}
 {{/inline}}
 
-{{#*inline 'stringLiteral'}}
-    <span class="tsd-signature-type">"{{value}}"</span>
+{{#*inline 'rest'}}
+    <span class="tsd-signature-symbol">...</span>
+    {{#with elementType}}
+        {{> type}}
+    {{/with}}
 {{/inline}}
 
 {{#*inline 'tuple'}}
@@ -174,6 +268,24 @@ if an inner type may result in invalid output without them. For example:
     <span class="tsd-signature-symbol">]</span>
 {{/inline}}
 
+{{#*inline 'template-literal'}}
+    <span class="tsd-signature-symbol">`</span>
+    {{#if head}}
+        <span class="tsd-signature-type">{{head}}</span>
+    {{/if}}
+    {{#each tail}}
+        <span class="tsd-signature-symbol">${</span>
+        {{#with this.[0]}}
+            {{>type}}
+        {{/with}}
+        <span class="tsd-signature-symbol">}</span>
+        {{#if this.[1]}}
+            <span class="tsd-signature-type">{{this.[1]}}</span>
+        {{/if}}
+    {{/each}}
+    <span class="tsd-signature-symbol">`</span>
+{{/inline}}
+
 {{#*inline 'typeOperator'}}
     <span class="tsd-signature-symbol">{{operator}} </span>
     {{#with target}}
@@ -204,6 +316,18 @@ if an inner type may result in invalid output without them. For example:
     <span class="tsd-signature-type">{{name}}</span>
 {{/inline}}
 
+{{#*inline 'named-tuple-member'}}
+    {{name}}
+    {{#if isOptional}}
+        <span class="tsd-signature-symbol">?: </span>
+    {{else}}
+        <span class="tsd-signature-symbol">: </span>
+    {{/if}}
+    {{#with element}}
+        {{> type}}
+    {{/with}}
+{{/inline}}
+
 {{#if this}}
     {{> (lookup . 'type') }}
 {{else}}
